import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import uView from 'uview-ui'
import store from './store/index.js'
import tim from './config/tim/tim.js'
import TIM from 'tim-js-sdk'
import commen from './config/tim/commen.js'
import format from './utils/format.js'
import config from './config/config.js'
import trtcCalling from './config/tim/trtc-calling.js'
import TRTCCalling from 'trtc-calling-js'

Vue.use(uView)

Vue.prototype.config = config
Vue.prototype.$store = store
Vue.prototype.tim = tim.tim	// tim sdk 引入后生成的tim服务
Vue.prototype.$TIM = TIM
Vue.prototype.$commen = commen
Vue.prototype.$format = format
Vue.prototype.trtcCalling = trtcCalling
Vue.prototype.TRTCCalling = TRTCCalling
Vue.config.productionTip = false

App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
